一个人训了一年为什么还是遗憾离场?唯一的进步是考完知道自己大概率有一等拿?
总体打得很糟糕,作为高一生被极多学弟单调队列了。
鲜花因为今年是个人从小就喜爱的音乐家莫扎特的 270 周年诞辰,所以本篇游记只会把学术部分展示给大家,伤痛留给作者自己承受,这是莫扎特的音乐创作精神,也是作者始终追求的创作原则。
开题时扫了一眼 \(4\) 道题目,发现除了 T1 都相当冗长,于是决定先把 T1 过了,后面的拼完暴力再冲一题出来。结果 T1 莫名其妙犯了低级错误,在式子完全正确的情况下莫名将数组赋值为了前缀和的前缀和,导致虚空调试了一个多小时才过。这简直是犯罪!
在虚空调试的时候读完了 T2 的题面,善用浏览器画笔加快了一些速度。接着开始写 \(44\) 分暴力,即把所有站和线路加入队列预处理站与站之间的最短路,然后 \(O(1)\) 回答询问。然后测大样例的时候把数组开大才发现 \(m\) 写成 \(n\) 了,于是才猛然惊觉答案不能预处理,而是要把 \(d\) 套进去。但是由于此前因为死磕 T2 导致完全挂烂的经历犹在眼前,决定把 T3 T4 能拿的分拼完,毕竟去年就是太懒去赌总司令致使以 \(2\) 分之差丧失初中生 NOIP 资格。
关于 T3 的 \(O(n^3)\) 暴力,考完复现被自己蠢哭,但是 CCF 放过了我。具体代码是这样的:
while(!q.empty()) {int u = q.front(); q.pop(); for(int v = 1; v <= n; v++) {if(u == v || abs(x[u] - x[v]) > d) continue; if(dis[v] > dis[u] + 1) {dis[v] = dis[u] + 1; f[v] = f[u]; q.push(v); }else if(dis[v] == dis[u] + 1) f[v]++; //我到底在干什么?????}}
T4 暴力看起来很好写,但是判断合法性需要写很长。若是今年训练没咋写暴力恐怕是要倒闭了,幸运的是我流畅地写下来的 \(89\) 行 \(15\) 分暴力一遍就过了。
但是令我无法容忍的是,敲完以上暴力我只有一小时时间了,于是想怎么拿 \(d\) 建分层图跑最短路,然后发现完全不可做,只好给 T1 上了个拍,来回查 freopen 等问题,比赛就结束了。
出场后,听好多人说 T2 过了,大惊,遂问做法,结果发现我自始自终都没发现利用 \(n \leq 500\) 跑出来的全源最短路居然可以通过暴力枚举地铁站 \(u,v\) 的地铁线直接合成答案,顷刻间无力了。
没有做出绿题真的好可耻啊!
鲜花暑假给洛谷投了月赛,自己出的题目名称就是地铁(subway),可我在考场上却被地铁(subway)击败了,更羞耻了。作为世界上最幸福的地铁的忠实拥趸,怎么能败在地铁上。
估分:\(100+44+[0,40]+15=[159,199]\)。
实际:\(100+44+24+15=183\)。
福建一等线怎么上 \(176\) 了,令人汗颜。
被狠狠单调队列了,NOIP 可不能再这样犯罪了。